Index: src/io/sink.h
===================================================================
--- src/io/sink.h	(revision 8a5c8ba32e80b0674742d0fa2bd9187ac1b6da37)
+++ src/io/sink.h	(revision 4e3723d3d90422d034d7fb88bbe9467bf9fbfe54)
@@ -22,8 +22,4 @@
 #define _AUBIO_SINK_H
 
-#ifdef __cplusplus
-extern "C" {
-#endif
-
 /** \file
 
@@ -33,4 +29,8 @@
 
 */
+
+#ifdef __cplusplus
+extern "C" {
+#endif
 
 typedef struct _aubio_sink_t aubio_sink_t;
Index: src/io/sink_apple_audio.h
===================================================================
--- src/io/sink_apple_audio.h	(revision 8a5c8ba32e80b0674742d0fa2bd9187ac1b6da37)
+++ src/io/sink_apple_audio.h	(revision 4e3723d3d90422d034d7fb88bbe9467bf9fbfe54)
@@ -22,13 +22,15 @@
 #define _AUBIO_SINK_APPLE_AUDIO_H
 
-#ifdef __cplusplus
-extern "C" {
-#endif
-
 /** \file
 
   Apple Audio Media
 
+  \example io/test-sink_apple_audio.c
+
 */
+
+#ifdef __cplusplus
+extern "C" {
+#endif
 
 typedef struct _aubio_sink_apple_audio_t aubio_sink_apple_audio_t;
Index: src/io/sink_sndfile.h
===================================================================
--- src/io/sink_sndfile.h	(revision 8a5c8ba32e80b0674742d0fa2bd9187ac1b6da37)
+++ src/io/sink_sndfile.h	(revision 4e3723d3d90422d034d7fb88bbe9467bf9fbfe54)
@@ -22,13 +22,15 @@
 #define _AUBIO_SINK_SNDFILE_H
 
-#ifdef __cplusplus
-extern "C" {
-#endif
-
 /** \file
 
   sndfile sink
 
+  \example io/test-sink_sndfile.c
+
 */
+
+#ifdef __cplusplus
+extern "C" {
+#endif
 
 typedef struct _aubio_sink_sndfile_t aubio_sink_sndfile_t;
Index: src/io/sndfileio.h
===================================================================
--- src/io/sndfileio.h	(revision 8a5c8ba32e80b0674742d0fa2bd9187ac1b6da37)
+++ src/io/sndfileio.h	(revision 4e3723d3d90422d034d7fb88bbe9467bf9fbfe54)
@@ -22,6 +22,8 @@
 #define SNDFILEIO_H
 
-/** @file 
- * sndfile functions
+/** \file
+
+  sndfile functions
+
  */
 
Index: src/io/source.h
===================================================================
--- src/io/source.h	(revision 8a5c8ba32e80b0674742d0fa2bd9187ac1b6da37)
+++ src/io/source.h	(revision 4e3723d3d90422d034d7fb88bbe9467bf9fbfe54)
@@ -22,13 +22,15 @@
 #define _AUBIO_SOURCE_H
 
-#ifdef __cplusplus
-extern "C" {
-#endif
-
 /** \file
 
   Media source 
 
+  \example io/test-source.c
+
 */
+
+#ifdef __cplusplus
+extern "C" {
+#endif
 
 typedef struct _aubio_source_t aubio_source_t;
Index: src/io/source_apple_audio.h
===================================================================
--- src/io/source_apple_audio.h	(revision 8a5c8ba32e80b0674742d0fa2bd9187ac1b6da37)
+++ src/io/source_apple_audio.h	(revision 4e3723d3d90422d034d7fb88bbe9467bf9fbfe54)
@@ -22,4 +22,16 @@
 #define _AUBIO_SOURCE_APPLE_AUDIO_H
 
+/** \file
+
+  aubio source using ExtAudioFileRef
+
+  \example io/test-source_apple_audio.c
+
+*/
+
+#ifdef __cplusplus
+extern "C" {
+#endif
+
 typedef struct _aubio_source_apple_audio_t aubio_source_apple_audio_t;
 aubio_source_apple_audio_t * new_aubio_source_apple_audio(char_t * path, uint_t samplerate, uint_t block_size);
@@ -28,3 +40,7 @@
 void del_aubio_source_apple_audio(aubio_source_apple_audio_t * s);
 
+#ifdef __cplusplus
+}
+#endif
+
 #endif /* _AUBIO_SOURCE_APPLE_AUDIO_H */
Index: src/io/source_sndfile.h
===================================================================
--- src/io/source_sndfile.h	(revision 8a5c8ba32e80b0674742d0fa2bd9187ac1b6da37)
+++ src/io/source_sndfile.h	(revision 4e3723d3d90422d034d7fb88bbe9467bf9fbfe54)
@@ -22,4 +22,14 @@
 #define _AUBIO_SOURCE_SNDFILE_H
 
+/** \file
+
+  \example io/test-source_sndfile.c
+
+*/
+
+#ifdef __cplusplus
+extern "C" {
+#endif
+
 typedef struct _aubio_source_sndfile_t aubio_source_sndfile_t;
 aubio_source_sndfile_t * new_aubio_source_sndfile(char_t * path, uint_t samplerate, uint_t block_size);
@@ -28,3 +38,7 @@
 void del_aubio_source_sndfile(aubio_source_sndfile_t * s);
 
+#ifdef __cplusplus
+}
+#endif
+
 #endif /* _AUBIO_SOURCE_SNDFILE_H */
